:root {
    --primary: #21ACDC;
    --primary-hover: #426804;
    --secondary: #45474b;
    --secondary-hover: #26272a;
    --black: #26272a;
    --accent: #efa300;
    --dark-primary: #2b4403;
    --light-primary: #fee7ad;
    --primary-transparent: rgba(205, 224, 173, 0.208);
    --light-gray: #dee2e6;
    --dark-gray: #c8cdd3;
    --light-gray-hover: #cacfd5;
    --default: #f3f3f3;
  }
  
  .chart-container {
    position: relative;
    margin: auto;
    height: 60vh;
    width: 60vw;
  }
  
  .content-section {
    padding-left: 32px;
    padding-right: 32px;
  }
  
  .bg-default {
    background-color: #fff;
  }
  .bg-muted {
    background-color: #f3f4f4;
  }
  
  .bg-muted.active {
    background-color: #fff;
  }
  
  .bg-primary-custom {
    background-color: var(--primary) !important;
  }
  
  .bg-primary-transparent {
    background-color: var(--primary-transparent) !important;
  }
  .text-primary-custom {
    color: var(--primary) !important;
  }
  .text-black-custom {
    color: var(--secondary) !important;
  }
  
  .bg-secondary-custom {
    background-color: var(--secondary) !important;
  }
  
  .text-secondary-custom {
    color: var(--secondary) !important;
  }
  
  .text-info-custom {
    color: #1488ba !important;
  }
  .btn-primary-custom {
    background-color: var(--primary) !important;
    color: #fff;
    font-weight: 700;
  }
  .btn-primary-custom:hover {
    background-color: var(--primary-hover) !important;
    color: #fff;
  }
  .btn-secondary-custom {
    /* background-color: var(--secondary) !important; */
    color: var(--primary);
    font-weight: 700;
    border: 2px solid var(--primary);
  }
  .btn-secondary-custom:hover {
    background-color: var(--primary) !important;
    color: #fff;
    border: 2px solid var(--primary);
  }
  .btn-black-custom {
    /* background-color: var(--secondary) !important ;
    color: #fff;
    font-weight: 700;
    border: 2px solid var(--secondary); */
    background-color: #dbe7c8 !important ;
    color: var(--primary-hover);
    font-weight: 700;
    border: 2px solid #dbe7c8;
    /* background-color: #efa300 !important ;
    color: white;
    font-weight: 700;
    border: 2px solid #efa300; */
  }
  .btn-black-custom:hover {
    background-color: var(--primary) !important;
    color: #fff;
    border: 2px solid var(--primary);
  }
  
  .btn-light-custom {
    background-color: #dee1e4 !important;
    font-weight: 700;
    width: max-content;
  }
  .btn-light-custom:hover {
    background-color: #c8cacf !important;
  }
  .btn-outline-primary-custom {
    border: 2px solid var(--primary);
    background-color: #fff;
    font-weight: bold;
    color: var(--primary);
  }
  .btn-outline-primary-custom:hover {
    background-color: var(--primary);
    color: white;
  }
  .btn-outline-dark-custom {
    border: 1px solid #26272a;
    background-color: #fff;
    font-weight: bold;
  }
  .btn-outline-dark-custom:hover {
    background-color: #f5f5f5;
  }
  .btn-sub,
  .btn-edit,
  .btn-delete {
    background-color: #f8f9fa;
  }
  .btn-edit:hover,
  .btn-info-custom {
    background-color: #046f9c;
    color: #fff;
  }
  
  .btn-sub:hover {
    background-color: #28a745;
    color: #fff;
  }
  .btn-delete:hover {
    background-color: #dc3545;
    color: #fff;
  }
  .border-primary-custom {
    border: 2px solid var(--primary) !important;
  }
  input[type='radio'],
  input[type='checkBox'] {
    accent-color: var(--primary);
  }
  .bubble {
    cursor: pointer;
    margin-right: 8px;
  }
  .bubble i {
    position: relative;
    color: #d3d3d3;
    font-size: 32px;
    display: flex;
  }
  
  .bubble i::after {
    content: attr(val);
    color: rgb(255, 255, 255);
    position: absolute;
    margin-top: 8px;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    text-align: center;
    font-size: 16px;
    font-weight: 700;
    font-family: Arial, Helvetica, sans-serif, 'Font Awesome 5 Free';
  }
  
  .subcription-item {
    margin-top: 60px;
    padding-top: 0px;
    border-radius: 0.3rem;
    height: 100%;
  }
  
  .subcription-item:not(.border-primary-custom) {
    border: 1px solid var(--primary) !important;
  }
  .subcription-item.offline:not(.border-primary-custom) {
    border: 1px solid var(--secondary) !important;
  }
  /* .subcription-wrapper:not(:has(.popular)){
    padding-top: 60px;
  
  } */
  .subcription-item.popular {
    margin-top: 0px;
  
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
  }
  
  .btn-floating {
    position: fixed;
    bottom: 80px;
    right: 24px;
    z-index: 1000;
    background-color: var(--primary);
    color: white;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border-radius: 100%;
    font-size: 18pt;
    width: 60px;
    height: 60px;
    box-shadow: 1px 1px 12px 1px rgba(196, 196, 196, 0.98);
    -webkit-box-shadow: 1px 1px 12px 1px rgba(196, 196, 196, 0.98);
    -moz-box-shadow: 1px 1px 12px 1px rgba(196, 196, 196, 0.98);
  }
  
  .btn-floating:active {
    color: white;
    transform: translateY(4px);
    box-shadow: 1px 1px 12px 1px rgba(196, 196, 196, 0.98);
    -webkit-box-shadow: 1px 1px 12px 1px rgba(196, 196, 196, 0.98);
    -moz-box-shadow: 1px 1px 12px 1px rgba(196, 196, 196, 0.98);
    background-color: var(--primary-hover);
  }
  
  .popular-banner {
    height: 60px;
    border-top-left-radius: 0.3rem;
    border-top-right-radius: 0.3rem;
  }
  .notification-list {
    max-height: 10rem;
    overflow: auto;
  }
  .notification {
    position: relative;
    border-bottom: solid 1px #e2e2e2;
  }
  
  .notification .date {
    position: absolute;
    right: 0;
    top: 0;
    margin-top: 8px;
    margin-right: 8px;
  }
  .notification-icon {
    width: 36px;
    height: 36px;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--primary);
    /* font-size: 14pt; */
  }
  
  .selected-radio {
    background-color: var(--primary);
    color: #fff;
    border: 1px solid var(--primary) !important;
  }
  
  .progress-bar-custom {
    width: 100%;
    background-color: #f7f7f7;
    border-radius: 3px;
    height: 0.5em;
  }
  
  .progress-bar-custom-fill {
    display: block;
    height: 0.5em;
    background-color: #1488ba;
    border-radius: 3px;
    transition: width 500ms ease-in-out;
  }
  
  .flex-1 {
    flex: 1;
  }
  .stats-icon i {
    mix-blend-mode: color-burn;
    color: #302525;
  }
  .cursor-pointer {
    cursor: pointer;
  }
  
  .mark-read {
    text-decoration: underline;
  }
  
  .table-data-lead td {
    border: none !important;
  }
  
  .nav-tabs-wrapper {
    margin-top: -12px;
    margin-left: -20px;
  }
  
  .vertical-align-top {
    vertical-align: top;
  }
  
  .w-10 {
    width: 10%;
  }
  .w-80 {
    width: 80%;
  }
  
  .text-normal {
    font-weight: 400 !important;
  }
  
  /* The switch - the box around the slider */
  .switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 24px;
  }
  
  /* Hide default HTML checkbox */
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
  }
  
  .slider:before {
    position: absolute;
    content: '';
    height: 20px;
    width: 20px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
  }
  
  input:checked + .slider {
    background-color: #2196f3;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #2196f3;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }
  
  .slider.round:before {
    border-radius: 50%;
  }
  
  .table-collapse {
    border-collapse: collapse;
    table-layout: fixed;
  }
  
  .self-end {
    align-self: flex-end;
  }
  
  .self-center {
    align-self: center;
  }
  
  .h-fit {
    height: fit-content;
  }
  
  body.sidebar-collapse #logo-full {
    display: none;
  }
  body.sidebar-collapse #logo-square {
    display: inline;
  }
  body:not(.sidebar-collapse) #logo-full,
  .main-sidebar:hover #logo-full {
    display: inline;
  }
  body:not(.sidebar-collapse) #logo-square,
  .main-sidebar:hover #logo-square {
    display: none;
  }
  
  body.sidebar-collapse .main-sidebar:hover .nav-link {
    width: calc(250px - 0.5rem * 2) !important;
    display: flex;
    align-items: center;
  }
  body.sidebar-collapse .main-sidebar:hover .nav-link p {
    width: auto !important;
    flex: 1;
  }
  
  input[type='time']::-webkit-calendar-picker-indicator,
  input[type='date']::-webkit-calendar-picker-indicator,
  input[type='datetime-local']::-webkit-calendar-picker-indicator {
    bottom: 0;
    color: transparent;
    cursor: pointer;
    height: auto;
    left: 0;
    opacity: 0;
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
  }
  
  .breadcrumb :not(li.active) {
    color: var(--secondary) !important;
  }
  .breadcrumb :not(li.active):hover {
    color: var(--secondary-hover) !important;
  }
  .breadcrumb-item + .breadcrumb-item::before {
    content: '\203A';
  }
  
  .btn-back {
    width: 32px;
    height: 32px;
    border-radius: 30px;
  }
  
  .btn-back.hover,
  .btn-back:hover {
    background-color: var(--primary) !important;
    color: #fff;
  }
  
  .item-menu {
    margin-bottom: 8px;
    margin-top: 8px;
  }
  
  .item-menu p {
    margin: 0;
    margin-top: 12px;
    margin-bottom: 12px;
  }
  .item-menu-link {
    display: block;
    padding: 6px;
    border-radius: 4px;
    padding-left: 12px;
  }
  .item-menu > *:hover,
  .item-menu > *:hover .points-icon > * {
    color: var(--primary) !important;
    fill: var(--primary);
  }
  
  .item-menu > * {
    color: rgba(0, 0, 0, 0.5);
  }
  .item-menu i {
    width: 32px;
  }
  
  .item-menu .item-menu-link.active {
    background-color: var(--primary) !important;
    color: #fff !important;
  }
  .control-overlay {
    display: none;
    width: 0;
    height: 0;
  }
  .dropdown-item {
    margin-bottom: 4px !important;
    margin-top: 4px !important;
  }
  
  .dropdown-item path {
    fill: #6c757d !important;
  }
  
  .dropdown-item.nav-link.active,
  .item-menu .active,
  .item-menu .active .points-icon path,
  .nav-link.active,
  .nav-item:hover .nav-link,
  .dropdown-menu .dropdown-item:hover,
  .dropdown-item.active,
  .dropdown-item.active path,
  .dropdown-item:hover path {
    background-color: transparent !important;
    color: var(--primary) !important;
    fill: var(--primary) !important;
  }
  
  .nav-pills .nav-item:hover .nav-link,
  .nav-pills .nav-link.active {
    background-color: var(--primary) !important;
    color: white !important;
  }
  
  .card-primary.card-outline-tabs > .card-header a.active,
  .card-primary.card-outline-tabs > .card-header a.active:hover {
    border-top: 3px solid var(--primary);
  }
  body.control-sidebar-slide-open .control-overlay {
    display: block;
    width: 100vw;
    height: 100vh;
    top: 0;
    position: absolute;
    z-index: 1;
    background-color: transparent;
  }
  
  .text-dark > .swal2-actions > .swal2-confirm {
    color: var(--black) !important;
  }
  
  .form-campaign {
    width: 50vw;
  }
  
  #form-order {
    padding: 2rem;
  }
  .custom-input-add {
    width: 60px !important;
  }
  
  .bbs-group {
    display: block;
    margin-bottom: 20px;
  }
  .bbs-group label {
    font-weight: bold;
  }
  .bbs-group button,
  .btn-order {
    background-color: #81bd4b;
    color: #fff;
  }
  .bbs-group button:hover,
  .btn-order:hover {
    background-color: #699f3a;
    color: #fff;
  }
  .bbs-group input {
    display: block;
    width: 100%;
    height: 36px !important;
    border: 1px solid #ccc !important;
    border-radius: 3px;
  }
  .bbs-group textarea {
    display: block;
    width: 100%;
    border: 1px solid #ccc !important;
    border-radius: 3px;
  }
  
  .bbs-footer {
    font-size: 11px;
    color: #ccc;
    font-style: italic;
  }
  .red {
    color: #b30000;
  }
  .content-wrapper {
    padding-bottom: 32px !important;
  }
  
  .main-sidebar {
    bottom: 0 !important;
  }
  .entered-email-badge {
    border: 1px solid #acadaf;
    display: flex;
    height: 38px;
    padding: 0px 12px 0px 8px;
    align-items: center;
    gap: 8px;
    width: fit-content;
    border-radius: 40px;
    background-color: #fff;
    margin-bottom: 12px;
  }
  
  .entered-email-badge span {
    width: 28px;
    height: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 44px;
    flex-shrink: 0;
    background-color: #d6d6d7;
  }
  .image-placeholder {
    height: 100%;
    width: 100%;
    background-color: #eee;
    animation: pulse 2s infinite;
  }
  .trigger {
    height: 20px;
  }
  .border-md {
    border-width: 3px !important;
  }
  .alert-info-custom {
    background-color: #c8dfeb;
    border-radius: 8px;
    border: 1px solid #1488ba7b;
  }
  .alert-warning-custom {
    background-color: #faf5e9;
    border-radius: 8px;
    border: 1px solid #ba90147b;
  }
  .alert-danger-custom {
    background-color: #fcecec;
    border-radius: 8px;
    border: 1px solid #ba14147b;
  }
  
  .divider {
    border-bottom: 2px solid rgba(218, 218, 218, 0.414) !important;
    width: 90%;
  }
  .btn-icon-campaign {
    height: 38px;
    width: 38px;
  }
  
  .bonus-points {
    background-color: #45474b95;
    width: 100%;
    height: 36px;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .word-wrap {
    word-wrap: break-word;
  }
  .icon-circle {
    width: 24px !important;
    height: 24px !important;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .copy-wrapper {
    position: fixed;
    z-index: 2000;
  }
  .slide-up {
    transform-origin: left top;
    animation: fadeUp 500ms ease-out forwards;
  }
  
  .loading-full {
    height: 100vh;
    justify-content: center;
    /* position: absolute;
    z-index: 3000;
    background-color: #F8F9FA;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0; */
  }
  .lds-ellipsis {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
  }
  .lds-ellipsis div {
    position: absolute;
    top: 33px;
    width: 13px;
    height: 13px;
    border-radius: 50%;
    background: var(--primary);
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
  }
  .lds-ellipsis div:nth-child(1) {
    left: 8px;
    animation: lds-ellipsis1 0.6s infinite;
  }
  .lds-ellipsis div:nth-child(2) {
    left: 8px;
    animation: lds-ellipsis2 0.6s infinite;
  }
  .lds-ellipsis div:nth-child(3) {
    left: 32px;
    animation: lds-ellipsis2 0.6s infinite;
  }
  .lds-ellipsis div:nth-child(4) {
    left: 56px;
    animation: lds-ellipsis3 0.6s infinite;
  }
  @keyframes lds-ellipsis1 {
    0% {
      transform: scale(0);
    }
    100% {
      transform: scale(1);
    }
  }
  @keyframes lds-ellipsis3 {
    0% {
      transform: scale(1);
    }
    100% {
      transform: scale(0);
    }
  }
  @keyframes lds-ellipsis2 {
    0% {
      transform: translate(0, 0);
    }
    100% {
      transform: translate(24px, 0);
    }
  }
  
  .loading-table .column {
    padding-right: 1rem;
  }
  .loading-table .column div {
    background-color: #b0b0b080;
    height: 1rem;
    border-radius: 15px;
    animation: pulse 2s ease-in-out infinite;
  }
  
  .bg-info-transparent {
    background-color: #25c0d72d;
  }
  
  .bubble {
    background: var(--primary);
    border: 1px solid var(--primary);
    padding: 15px;
    box-shadow: 0px 0px 2px var(--primary);
    border-radius: 3px;
    height: auto;
    width: 25vw;
    z-index: 1051;
    position: absolute;
    margin-top: 12px;
    font-weight: normal !important;
  
    &:after {
      content: '';
      position: absolute;
      z-index: 1051;
      border: 1px solid var(--primary);
    }
  
    &:before {
      content: '';
      position: absolute;
      z-index: 1051;
      border: 1px solid var(--primary);
    }
    /*triangle side*/
  
    &.top:after {
      border-color: var(--primary) transparent;
      border-width: 0 13px 12px 13px;
      top: -12px;
    }
  
    &.top:before {
      border-color: var(--primary) transparent;
      border-width: 0 13px 11px 13px;
      top: -13px;
    }
    &.bottom:after {
      border-color: var(--primary) transparent;
      border-width: 12px 13px 0 13px;
      bottom: -12px;
      left: 45%;
    }
    &.bottom:before {
      border-color: var(--primary) transparent;
      border-width: 11px 13px 0 13px;
      bottom: -13px;
      left: 45%;
    }
  
    /*right*/
    &.right {
      right: 102%;
      top: -30%;
    }
  
    &.right:before {
      border-color: transparent var(--primary);
      border-width: 13px 0 13px 11px;
      right: -11px;
    }
  
    /*left*/
    &.left {
      left: 102%;
      top: -50%;
    }
    &.left:after {
      border-color: transparent var(--primary);
      border-width: 13px 12px 13px 0;
      top: 35%;
      left: -12px;
    }
  
    &.left:before {
      border-color: transparent var(--primary);
      border-width: 13px 11px 13px 0;
      top: 35%;
      left: -13px;
    }
  }
  
  .content-walkthrough {
    position: relative !important;
    z-index: 1051 !important;
    background-color: #fff !important;
  }
  .overlay-walkthrough {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    width: 100vw;
    height: 100vh;
    background-color: #626262;
    opacity: 0.5;
  }
  
  .modal-wrapper {
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    z-index: 1100;
    height: 100%;
  }
  
  .onboarding-modal {
    display: flex;
    padding: 1.6rem;
    height: auto;
    background-color: #fff;
    border-radius: 12px;
  }
  
  .overlay {
    position: fixed;
    bottom: 0;
    right: 0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1099;
    overflow: hidden;
    background-color: #626262;
    opacity: 0.5;
  }
  
  .badge-filter {
    border: 1px solid var(--primary);
    background-color: #f9f4e3;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 4px 12px;
    align-items: center;
    border-radius: 8px;
    min-width: 64px;
    gap: 12px;
  }
  
  .line-clamp-2 {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
  }
  
  .checkBox {
    transform: scale(1.5);
  }
  
  .tooltip-wrapper {
    position: relative;
    display: inline-block;
  }
  
  .tooltip-wrapper .tooltiptext {
    visibility: hidden;
    width: 50vw;
    background-color: rgb(38, 38, 38);
    color: #fff;
    /* text-align: center; */
    padding: 8px;
    border-radius: 6px;
  
    position: absolute;
    z-index: 10;
  }
  
  .tooltip-wrapper:hover .tooltiptext {
    visibility: visible;
  }
  .tooltip-wrapper .tooltiptext {
    top: -5px;
    left: 105%;
  }
  
  .color-picker-wrapper {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 12px;
    width: 70%;
  }
  .color-picker input {
    display: none;
  }
  
  .color-picker i {
    font-size: 12pt;
    color: white;
    display: none;
  }
  .color-picker input:checked + label {
    transform: scale(1.2);
    border: 2px solid rgb(196, 196, 196);
  }
  .color-picker input:checked + label i {
    display: flex;
  }
  .color-picker label {
    width: 3em;
    height: 3em;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
  }
  
  .select-language {
    border: none;
    margin-top: 12px;
  }
  .select-language:focus {
    border: none;
    outline: none;
  }
  
  .badge-icon path {
    fill: #eed277 !important;
  }
  
  .badge-primary-custom {
    background-color: var(--primary);
    color: white;
  }
  .tooltip-wrapper.sm .tooltiptext {
    width: max-content;
    max-width: 200px;
  }
  
  .toggleCheckbox {
    display: none;
  }
  .toggleContainer {
    position: relative;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: fit-content;
    border: 3px solid #eee;
    border-radius: 4px;
    background: #eee;
    font-weight: bold;
    color: #8e8e8e;
    cursor: pointer;
  }
  .toggleContainer::before {
    content: '';
    position: absolute;
    width: 50%;
    height: 100%;
    left: 0%;
    border-radius: 4px;
    transition: all 0.3s;
  }
  .toggleContainer div {
    padding: 6px;
    text-align: center;
    z-index: 1;
    color: #151616;
  }
  .toggleCheckbox:checked + .toggleContainer::before {
    left: 50%;
  }
  .toggleCheckbox:checked + .toggleContainer div:first-child {
    color: #fff;
    border-radius: 4px;
    background: #28a745;
    transition: color 0.3s;
  }
  .toggleCheckbox:checked + .toggleContainer div:last-child {
    color: #8e8e8e;
    border-radius: 4px;
    background: #eee;
    transition: color 0.3s;
  }
  .toggleCheckbox + .toggleContainer div:first-child {
    color: #8e8e8e;
    border-radius: 4px;
    transition: color 0.3s;
  }
  .toggleCheckbox + .toggleContainer div:last-child {
    color: #fff;
    border-radius: 4px;
    background: #dc3545;
    transition: color 0.3s;
  }
  
  .toggleCheckboxPlan {
    display: none;
  }
  .toggleContainerPlan {
    position: relative;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
    /* border-radius: 4px; */
    /* border: 3px solid #eee; */
    /* background: #eee; */
    /* border-bottom: 3px solid var(--dark-gray); */
    font-weight: bold;
    color: #8e8e8e;
    cursor: pointer;
    font-size: 24px;
  }
  .toggleContainerPlan::before {
    content: '';
    position: absolute;
    width: 50%;
    height: 100%;
    left: 0%;
    /* border-radius: 4px; */
    transition: all 0.3s;
  }
  .toggleContainerPlan div {
    padding: 6px;
    text-align: center;
    z-index: 1;
    color: #151616;
  }
  .toggleCheckboxPlan:checked + .toggleContainerPlan::before {
    left: 50%;
  }
  .toggleCheckboxPlan:checked + .toggleContainerPlan div:first-child {
    /* color: #fff;
    background: var(--primary);
    border-radius: 4px; */
    color: var(--primary);
    border-bottom: 4px solid var(--primary);
    transition: color 0.3s;
  }
  .toggleCheckboxPlan:checked + .toggleContainerPlan div:last-child {
    color: #8e8e8e;
    /* border-radius: 4px; */
    /* background: #eee; */
    border-bottom: 4px solid #eee;
    transition: color 0.3s;
  }
  .toggleCheckboxPlan + .toggleContainerPlan div:first-child {
    color: #8e8e8e;
    /* border-radius: 4px; */
    border-bottom: 4px solid #eee;
    transition: color 0.3s;
  }
  .toggleCheckboxPlan + .toggleContainerPlan div:last-child {
    /* color: #fff;
    border-radius: 4px;
    background: var(--primary); */
    color: var(--primary);
    border-bottom: 4px solid var(--primary);
    transition: color 0.3s;
  }
  .inner-prompt-app {
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--black);
    color: #fff;
    padding: 0px 20px;
    border-radius: 8px;
    gap: 12px;
  }
  .inner-prompt {
    height: 120px;
    display: flex;
    align-items: center;
    background-color: var(--black);
    color: #fff;
    padding: 0px 16px;
    border-radius: 8px;
    gap: 12px;
  }
  .inner-prompt__close {
    position: absolute;
    top: 24px;
    right: 24px;
  }
  .inner-prompt__image {
    background-color: #fff;
    width: 68px;
    height: 68px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
  }
  .inner-prompt__image img {
    width: 52px;
    height: 52px;
    object-fit: cover;
  }
  .inner-prompt__description {
    min-width: 100px;
    flex: 1;
  }
  
  .dateinput {
    border: 1px solid var(--dark-gray);
    display: flex;
    align-items: center;
    width: 100%;
    height: 39px;
    padding: 0 8px;
    border-radius: 4px;
    cursor: pointer;
    background-color: #fff;
  }
  
  .dateinput span {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
  }
  .dateinput div {
    margin-right: 4px;
  }
  
  .daterange {
    position: absolute;
    z-index: 1000;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 24px;
    max-width: 720px;
    box-shadow: -3px 5px 40px 0px rgba(173, 173, 173, 1);
    -webkit-box-shadow: -3px 5px 40px 0px rgba(173, 173, 173, 1);
    -moz-box-shadow: -3px 5px 40px 0px rgba(173, 173, 173, 1);
    height: 330px;
    border-radius: 4px;
  }
  
  .daterange__content {
    display: inherit;
    align-items: start;
  }
  .daterange__custom {
    display: inherit;
    flex-direction: column;
    gap: 12px;
    width: fit-content;
    position: relative;
  }
  .daterange__options {
    width: 160px;
    display: flex;
    flex-direction: column;
  }
  .daterange__options span {
    margin-bottom: 12px;
  }
  .daterange__options button {
    color: #202020;
    font-size: 12px;
    margin-bottom: 4px;
    border: none;
    border-radius: 4px;
    padding: 4px;
    background-color: var(--light-gray);
  }
  .daterange__options-buttons {
    display: flex;
    flex-direction: column;
  }
  .daterange__button-action {
    display: flex;
  }
  .daterange__button-action button {
    font-size: 12px;
  
    margin-bottom: 4px;
    border: none;
    border-radius: 4px;
    padding: 4px 8px;
  }
  .daterange__button-action-close {
    background-color: var(--dark-gray);
  }
  .daterange__button-action-apply {
    color: white;
    margin-left: auto;
    background-color: var(--primary);
  }
  .daterange__options button.active,
  .daterange__button-action-apply,
  .daterange__options button:hover {
    background-color: var(--primary);
    color: white;
  }
  
  .daterange__button {
    border: none;
    height: 24px;
    width: 24px;
    font-size: 12px;
    position: absolute;
    background-color: transparent;
    &.next {
      top: 4px;
      right: 4px;
    }
    &.prev {
      top: 4px;
      left: 4px;
    }
    &:hover {
      background-color: var(--primary);
      border-radius: 4px;
    }
  }
  .calendar {
    text-align: center;
    padding: 0px 12px;
  }
  .calendar__heading {
    font-weight: bold;
    font-size: 14px;
    margin-bottom: 12px;
  }
  .calendar__date {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
  }
  
  .calendar__date > * {
    text-align: center;
    font-size: 12px;
  }
  .calendar__day {
    height: 32px;
    width: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .calendar__days {
    font-weight: bold;
  }
  
  .calendar__day:nth-child(7n + 1) {
    color: rgb(197, 16, 16);
  }
  .calendar__day:not(.empty):not(.disabled) {
    cursor: pointer;
    &:hover {
      background-color: var(--primary-hover);
      color: white;
    }
  }
  .calendar__day.today {
    color: var(--dark-primary);
    font-weight: bold;
  }
  .calendar__day.disabled {
    color: var(--dark-gray);
  }
  .calendar__day.selected.start,
  .calendar__day.selected.end {
    background-color: var(--primary-hover);
    color: white;
  }
  .calendar__day.selected:not(.calendar__day.selected.start):not(
      .calendar__day.selected.end
    ):not(.calendar__day.outside) {
    background-color: var(--primary-transparent);
  }
  
  @media (min-width: 768px) {
    .daterange.right {
      right: 0;
    }
    .daterange.left {
      left: 0;
    }
  }
  @media (max-width: 767.98px) {
    .daterange__content,
    .daterange__custom {
      flex-direction: column;
    }
    .daterange__options {
      width: 100%;
    }
    .daterange__options-buttons {
      flex-direction: column-reverse;
      margin-bottom: 24px;
    }
  
    .daterange {
      min-height: 450px;
      height: max-content;
      padding: 12px;
      width: 80vw;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      position: fixed;
      z-index: 1201;
    }
  
    .daterange__custom {
      width: 100%;
    }
    .calendar__day {
      width: 100%;
    }
    .calendar-2 {
      display: none;
    }
  
    .daterange.show + .daterange__overlay {
      position: fixed;
      bottom: 0;
      right: 0;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      overflow: hidden;
      z-index: 1200;
      background-color: #2f2f2f;
      opacity: 0.5;
    }
    .filter-wrapper {
      height: 200px;
    }
    .filter-wrapper-order {
      height: 120px;
    }
  
    .profile-wrapper {
      width: 90vw;
    }
  }
  
  .install-prompt {
    display: none;
  }
  @media (display-mode: standalone) {
    .install-prompt {
      display: none;
    }
  }
  @media (display-mode: fullscreen) {
    .install-prompt {
      display: none;
    }
  }
  @media (min-width: 768px) {
    .btn-floating {
      display: none;
    }
    .dashboard-stats {
      min-width: 30vw;
    }
    .main-sidebar.user {
      display: none;
    }
    .filter-lead {
      width: 10em;
    }
    .chart-container {
      height: 400px;
      width: 100%;
    }
    .border-secondary {
      border: solid 2px var(--secondary) !important;
      border-radius: 8px;
    }
    .md-w-25 {
      width: 25%;
    }
    .md-w-50 {
      width: 50%;
    }
    .md-w-75 {
      width: 75%;
    }
  
    .login-image {
      display: flex;
      align-items: center;
      justify-content: end;
    }
    .btn-operator {
      height: 38px;
      width: 68px;
    }
    .dropdown-menu.notification-wrapper {
      min-width: 320px !important;
    }
    .illustration {
      height: 50vh;
    }
    .illustration-sm {
      height: 30vh;
    }
    .input-email {
      width: 40vw;
      max-width: 300px;
    }
    .md-table-fixed {
      table-layout: fixed;
    }
    .copy-wrapper {
      top: 0;
      right: 0;
      margin-top: 64px;
      margin-right: 24px;
      animation: slideRight 300ms ease-in forwards;
    }
    .pixel-wrapper {
      max-height: 300px;
      overflow-y: auto;
    }
    @keyframes slideRight {
      0% {
        transform: translateY(-50%);
        transform: translateX(50%);
      }
      100% {
        opacity: 1;
      }
    }
  
    .column.md {
      display: table-cell;
    }
    .column.sm {
      display: none;
    }
    .onboarding-modal {
      max-width: 60vw;
      padding: 3rem;
    }
    .onboarding-modal span {
      line-height: 2rem;
    }
    .btn-square {
      height: 36px;
      width: 36px;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    .my-actions {
      margin: 2em 2em 0;
    }
  
    .right-gap {
      margin-right: auto;
    }
  
    .install-prompt {
      /* min-width: 40vw; */
      width: 400px;
    }
    .install-prompt-app {
      width: 500px;
      margin: auto;
    }
    .inner-prompt__image.mobile {
      display: none;
    }
  }
  
  @media (max-width: 768px) {
    .btn-floating {
      display: flex;
    }
    .sidebar-wrapper {
      max-width: 200px;
      position: fixed;
      padding-top: 60px;
      top: 0;
      bottom: 0;
      z-index: 10;
    }
  
    .filter-lead {
      width: 100%;
    }
  
    .dropdown-menu.notification-wrapper {
      width: 75vw !important;
    }
  
    .content-section {
      padding-left: 24px;
      padding-right: 24px;
    }
    .bubble i {
      font-size: 32px;
    }
    .bubble i::after {
      /* font-size: 12px; */
      margin-left: 4px;
    }
    .card-header-action {
      margin: 8px;
    }
    .card-header-action .nav-tabs {
      margin-top: 12px;
      /* justify-content: center; */
    }
    .btn-operator {
      height: 38px;
      width: 40px;
    }
  
    .login-image {
      display: flex;
      align-items: center;
      justify-content: center;
      padding-bottom: 24px;
    }
  
    .sm-grid-nav {
      display: grid !important;
      grid-template-columns: repeat(2, 1fr);
    }
    .sm-grid-nav.grid-col-3 {
      grid-template-columns: repeat(3, 1fr);
    }
    .sm-grid-nav.grid-col-4 {
      grid-template-columns: repeat(4, 1fr);
    }
    .sm-grid-nav li a,
    .nav-wrapper li a {
      justify-content: center;
      text-align: center;
      flex-direction: column;
    }
    .sm-border-none {
      border: none;
    }
  
    .sm-w-100 {
      width: 100%;
    }
  
    .nav-wrapper {
      overflow-x: auto !important;
      overflow-y: hidden;
      white-space: nowrap !important;
      display: block !important;
    }
  
    .nav-wrapper li {
      display: inline-block !important;
    }
    .pixel-item {
      /* border: 1px solid #dad9d9d6; */
      border-radius: 4px;
      padding-top: 12px;
      padding-bottom: 12px;
    }
    .bubble i::after {
      margin-right: 4px;
    }
    .time-input {
      width: 100%;
      border-top-right-radius: 0.25rem !important;
      border-bottom-right-radius: 0.25rem !important;
    }
    .illustration,
    .illustration-sm {
      width: 80vw;
    }
    .input-email {
      width: 90vw;
    }
    .copy-wrapper {
      bottom: 0;
      width: 90%;
      left: 50%;
      transform: translate(-50%, -50%);
      animation: slideUp 300ms ease-in forwards;
    }
  
    @keyframes slideUp {
      0% {
        transform: translateY(-50%);
        transform: translateX(-50%);
      }
      100% {
        opacity: 1;
      }
    }
  
    .column.sm {
      display: table-cell;
    }
    .column.md {
      display: none;
    }
    .mb-10vh {
      margin-bottom: 10vh !important;
    }
    .onboarding-modal {
      max-width: 90vw;
    }
    .btn-square {
      height: 31px;
      width: 31px;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    .inner-prompt__image {
      width: 58px;
      height: 58px;
    }
    .inner-prompt__image img {
      width: 44px;
      height: 44px;
      object-fit: cover;
    }
    .inner-prompt {
      height: max-content;
    }
    .inner-prompt__image.desktop {
      display: none;
    }
  
    .inner-prompt__description {
      display: flex;
      gap: 16px;
      margin-top: 12px;
      margin-bottom: 12px;
      align-items: center;
    }
    .subcription-item {
      margin-top: 0px;
      padding-top: 0px;
      height: auto;
    }
  
    .subcription-item.popular {
      /* margin-bottom: 60px; */
    }
    /* .popular-banner {
      margin-bottom: 40px;
    } */
  }
  
  @media print {
    .not-print {
      display: none;
    }
  }
  @keyframes pulse {
    0% {
      background-color: #f2f2f2;
    }
  
    100% {
      background-color: #e4e4e4;
    }
  }
  
  @keyframes fadeUp {
    0% {
      /* transform: scaleY(-0.1rem); */
      opacity: 0;
    }
  
    100% {
      /* transform: scaleY(1); */
      opacity: 1;
    }
  }
  
  .no-script {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    text-align: center;
  }
  
  .no-script > div > img {
    width: 20rem;
    min-width: 100px;
  }
  
  .category-container {
    background-color: white;
    padding: 12px 8px;
    display: flex;
    flex-direction: column;
    position: absolute;
    width: 100%;
    z-index: 2;
  }
  .category-wrapper {
    height: 270px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }
  
  .category__child {
    height: 250px;
    overflow-y: auto;
    padding-left: 8px;
    padding-right: 8px;
  }
  .category__child:not(:last-child) {
    border-right: 1px solid rgba(66, 65, 65, 0.133);
  }
  .category__item.selected {
    background-color: var(--primary);
    color: white;
  }
  
  .category__item {
    border-radius: 4px;
    cursor: pointer;
    padding: 4px 8px;
    margin-bottom: 2px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  
    span {
      overflow: hidden;
      display: -webkit-box;
      -webkit-box-orient: vertical;
      -webkit-line-clamp: 1;
    }
    i {
      color: var(--muted);
    }
  }
  .category__item:hover {
    background-color: var(--primary);
    color: white;
  }
  .media-item {
    /* padding: 4px; */
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    box-sizing: border-box;
    border: 4px solid white;
  }
  .media-item:not(.unselected):not(.selected):hover {
    background-color: rgba(66, 65, 65, 0.133);
    border: 4px solid rgba(66, 65, 65, 0.133);
  }
  .media-item .check-icon {
    display: none;
    background-color: var(--primary);
    width: 24px;
    height: 24px;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
  }
  .media-item.unselected {
    opacity: 0.7;
  }
  .media-item.selected {
    border: 4px solid var(--primary);
  
    .check-icon {
      display: flex;
      position: absolute;
      top: 8px;
      right: 12px;
    }
  }
  
  .back {
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: 0.5;
    border: none;
    background-color: transparent;
  }
  .back:hover {
    opacity: 0.8;
    color: #000;
  }
  
  .product-image {
    width: 5rem;
    height: 5rem;
    object-fit: cover;
    border-radius: 0.25rem;
  }
  .product-input {
    width: 8rem;
  }
  .product-image-thumbs {
    display: flex;
    overflow-x: auto;
    gap: 8px;
  }
  /* .product-image-preview {
    display: flex;
  } */
  
  .product-image-preview img {
    width: inherit;
    /* height: 32em; */
    aspect-ratio: 1/1;
    object-fit: cover;
    /* border-radius: 12px; */
  }
  .product-image-thumbnail {
    width: 80px;
    height: 80px;
  }
  
  .product-image-thumbnail img {
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 8px;
    /* border: 1px solid rgba(66, 65, 65, 0.133); */
  }
  
  .product-image-thumbnail.active img {
    border: solid 3px var(--primary-hover);
  }
  .modal-image {
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    z-index: 1100;
    height: 100%;
  }
  
  .modal-image img {
    cursor: default;
  }
  .modal-image i {
    cursor: pointer;
    font-size: 2rem;
    color: #ffff;
    position: absolute;
    right: 1.2rem;
    top: 1.2rem;
  }
  .modal-image-overlay {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    width: 100vw;
    height: 100vh;
    background-color: #1e1e1e;
  }
  
  .product-image-count {
    position: absolute;
    width: 44px;
    text-align: center;
    left: 12px;
    bottom: 12px;
    z-index: 2;
    font-size: 12px;
    font-weight: bold;
    background-color: #a7a7aa54;
    padding: 4px;
    border-radius: 4px;
  }
  .product-image-title {
    position: absolute;
    text-align: center;
    right: 12px;
    bottom: 12px;
    z-index: 2;
    font-size: 12px;
    font-weight: bold;
    background-color: #a7a7aa54;
    padding: 4px 12px;
    border-radius: 4px;
  }
  .product-image-item {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .product-image-item:hover .btn-delete-image {
    display: inline;
    align-self: flex-start;
    margin-top: 4px;
  }
  
  .variant-wrapper {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
  }
  .variant-item {
    border: 1px solid rgba(66, 65, 65, 0.133);
    padding: 4px 12px;
    border-radius: 4px;
    cursor: pointer;
    display: flex;
    align-items: center;
  
    &.selected {
      background-color: var(--light-primary);
      border-color: var(--dark-primary);
    }
    &.disabled:not(.selected) {
      background-color: rgb(237, 236, 236);
      color: rgb(151, 151, 151);
      border: 1px solid rgba(95, 94, 94, 0.133);
      img {
        -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
        filter: grayscale(100%);
      }
    }
  }
  .variant-item img {
    width: 44px;
    height: 44px;
    object-fit: cover;
    margin-right: 8px;
  }
  
  .card-loading,
  .skeleton-loading {
    width: 100%;
    background-color: #b0b0b080;
    border-radius: 10px;
    margin-bottom: 12px;
    animation: pulse 2s ease-in-out infinite;
  }
  
  @keyframes pulse {
    0% {
      background-color: #c6c6c6;
    }
  
    100% {
      background-color: #c9c9c980;
    }
  }
  
  .dropdown-filter {
    cursor: pointer;
    margin-bottom: 4px;
  }
  .dropdown-filter__check {
    display: none;
  }
  
  .dropdown-filter__check:not(:checked) ~ .dropdown-filter__sub {
    display: none;
  }
  .dropdown-filter__check:checked ~ .dropdown-filter__sub {
    display: flex;
    flex-direction: column;
  }
  .dropdown-filter__label:hover{
    color: var(--primary);
  }
  .dropdown-filter__label::before {
    display: inline-block;
    padding-right: 3px;
    vertical-align: middle;
    font-weight: 900;
    font-family: 'Font Awesome 5 Free';
    cursor: pointer;
  }
  .dropdown-filter__check:not(:checked) + .dropdown-filter__label::before {
    content: '\f054';
  }
  .dropdown-filter__check:checked + .dropdown-filter__label::before {
    content: '\f078';
  }
  .dropdown-filter__sub {
    padding-left: 24px;
  }
  
  .dropdown-filter__label {
    margin-bottom: 0;
    font-weight: normal !important;
    &.selected {
      color: var(--primary);
      font-weight: 700 !important;
    }
  }
  
  .search-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    align-items: center;
    margin-bottom: 24px;
  }
  .search-item {
    border: 1px solid var(--dark-gray);
    border-radius: 4px;
    padding: 4px 8px;
    background-color: white;
  }
  
  .search-item:hover {
    background-color: var(--dark-gray);
    cursor: pointer;
  }
  .search-item:hover i {
    color: var(--black);
  }
  .search-item i {
    color: var(--dark-gray);
    margin-left: 4px;
    font-size: 8pt;
  }
  
  .brand-item {
    font-weight: normal !important;
    display: block;
    margin-bottom: 0px;
  }
  .filter-wrapper {
    overflow-y: auto;
    max-height: 200px;
    padding-left: 8px;
  }
  .product-wrapper {
    overflow: hidden;
    margin-bottom: 24px;
  }
  .product-scroll {
    display: flex;
    overflow-x: auto;
    gap: 4px;
    
  }
  
  .product-scroll::-webkit-scrollbar {
    display: none;
  }
  .product-scroll-item {
    flex: 0 0 150px;
  }
  @media (min-width: 768px) {
    .card-img-top,
    .card-loading {
      height: 10vw;
    }
    .skeleton-loading {
      height: 100%;
    }
    .modal-image img {
      height: 80vh;
      max-width: 80vw;
    }
  }
  
  @media (max-width: 768px) {
    .card-img-top,
    .card-loading {
      height: 40vw;
    }
  
    .modal-image img {
      width: 80vw;
    }
  
    .product-image-thumbs {
      gap: 1px;
    }
    .product-image-thumbnail,
    .product-image-thumbnail img {
      width: 60px;
      height: 60px;
    }
  
    .product-image-thumbs {
      gap: 1px;
    }
  }
  @media (max-width: 992px) {
    .product-image-preview {
      width: 100%;
    }
    .product-image-preview img {
      width: inherit;
      height: 50vh;
      object-fit: cover;
    }
  }
  